#
# spec file for package ldns
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ldns
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++
License:        BSD 3-Clause
Version:        1.5.1
Release:        10.11.1
Url:            http://www.nlnetlabs.nl/projects/ldns/
Source:         http://www.nlnetlabs.nl/downloads/ldns/%{name}-%{version}.tar.bz2
Patch0:         0001-do-not-loop-but-syntax-error-on-a-malformed-unknown-R.diff
Patch1:         0001-Fix-heap-overflow-problem-thanks-to-david-keeler-bug-.diff
Patch2:         0001-Fix-comparison-between-signed-and-unsigned.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel

%description
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%package -n     libldns1
License:        BSD 3-Clause
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++

%description -n libldns1
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%package -n		libldns-devel
License:        BSD 3-Clause
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++
Requires:       libldns1 = %{version} openssl-devel

%description -n libldns-devel
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libldns1 -p /sbin/ldconfig

%postun -n libldns1 -p /sbin/ldconfig

%files -n libldns1
%defattr(-,root,root)
%{_libdir}/libldns.so.1*

%files -n libldns-devel
%defattr(-,root,root)
%dir %{_includedir}/ldns
%{_includedir}/ldns/*
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Mon Oct 17 2011 lnussel@suse.de
- fix heap overflow (bnc#720277, CVE-2011-3581)
* Mon Apr 27 2009 crrodriguez@suse.de
- initial version, required by unbound
